import request from "@/utils/request";
// 通行证申请-列表分页
export function applyGetPageList(data) {
  return request({
    url: "/admin/pass/applyGetPageList",
    method: "post",
    data,
  });
}
// 通行证申请-审核列表
export function checkList(passApplyId) {
  return request({
    url: "/admin/pass/checkList",
    method: "get",
    params: { passApplyId },
  });
}
// 通行证申请-删除
export function applyDelete(passApplyId) {
  return request({
    url: "/admin/pass/applyDelete",
    method: "get",
    params: { passApplyId },
  });
}
// 通行证申请-删除
export function getUserInfo(userId) {
  return request({
    url: "/admin/pass/getUserInfo",
    method: "get",
    params: { userId },
  });
}

// 通行证-列表分页
export function passGetPageList(data) {
  return request({
    url: "/admin/pass/passGetPageList",
    method: "post",
    data,
  });
}
// 通行证-删除
export function passDelete(passId) {
  return request({
    url: "/admin/pass/passDelete",
    method: "get",
    params: { passId },
  });
}
// 通行证-解封
export function passUnseal(passId) {
  return request({
    url: "/admin/pass/passUnseal",
    method: "get",
    params: { passId },
  });
}
// 通行证-重置打印
export function passResetPrinting(passId) {
  return request({
    url: "/admin/pass/passResetPrinting",
    method: "get",
    params: { passId },
  });
}
// 违规列表
export function passPunishTypeList() {
  return request({
    url: "/admin/pass/passPunishTypeList",
    method: "get",
    params: {},
  });
}
// 通行证-获取用户的违规记录
export function passPunishRecord(passId) {
  return request({
    url: "/admin/pass/passPunishRecord",
    method: "get",
    params: { passId },
  });
}
// 通行证-新增-导入
export function passInsert(data) {
  return request({
    url: "/admin/pass/passInsert",
    method: "post",
    data,
  });
}


// 处罚人员-新增
export function punishInsert(data) {
  return request({
    url: "/admin/pass/punish/insert",
    method: "post",
    data,
  });
}
// 处罚人员-列表分页
export function punishGetPageList(data) {
  return request({
    url: "/admin/pass/punish/getPageList",
    method: "post",
    data,
  });
}
// 处罚人员-删除
export function punishDelete(passPunishUserId) {
  return request({
    url: "/admin/pass/punish/delete",
    method: "get",
    params: { passPunishUserId },
  });
}
// 引领人列表
export function leaderList(data) {
  return request({
    url: "/admin/pass/leaderList",
    method: "post",
    data,
  });
}
